﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Examples.CSharp.Default" %>
<%@ Register Assembly="ImageComponents.Web.ImgBarDecoder" Namespace="ImageComponents.Web.Imaging" TagPrefix="cc5" %>
<%@ Register Assembly="ImageComponents.Web.ImgAnnotations" Namespace="ImageComponents.Web.Imaging" TagPrefix="cc4" %>
<%@ Register Assembly="ImageComponents.Web.ImgScan" Namespace="ImageComponents.Web.Imaging" TagPrefix="cc3" %>
<%@ Register Assembly="ImageComponents.Web.ImgThumbnails" Namespace="ImageComponents.Web.Imaging" TagPrefix="cc2" %>
<%@ Register Assembly="ImageComponents.Web.ImgEdit" Namespace="ImageComponents.Web.Imaging" TagPrefix="cc1" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <!--Intellisense script-->
    <script type="text/javascript" src="../../js/ImgEdit-vsdoc.js"></script>
    <script type="text/javascript" src="../../js/ImgAnnotations-vsdoc.js"></script>
    <script type="text/javascript" src="../../js/ImgThumbnails-vsdoc.js"></script>
    <script type="text/javascript" src="../../js/ImgScan-vsdoc.js"></script>
    <script type="text/javascript" src="../../js/ImgBarDecoder-vsdoc.js"></script>
    <!--Application script-->
<script type="text/javascript" src="default.aspx.js"></script>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <div>
            <cc3:ImgScan ID="ImgScan1" runat="server" OnScanFinished="onScanFinished" OnSocketStatusChanged="onSocketStatusChanged" OnErrorOccurred="onErrorOccurred"></cc3:ImgScan>
            <table style="width: 550px">
				<tr>
                    <td colspan="2">
                        <select id="ddSources" style="width:216px;height:20px;">
                        </select>
                        <input id="btnTwainSources" onclick="loadSources(true);" type="button" value="Twain Sources" />
                        <input id="btnWIASources" onclick="loadSources(false);" type="button" value="WIA Sources" />
                    </td>
                </tr>
                <tr>
                    <td style="width: 400px">
                        <input id="btnOpen" type="button" value="Open" onclick="openImage();" />
                        <input id="btnScan" type="button" value="Scan" onclick="scanImage();" />
                        <input id="btnAdd" type="button" value="Add Highlight" onclick="addAnnotation();" />
                        <input id="btnReadBarcodes" type="button" value="Read Barcodes" onclick="readBarcodes();" />
                    </td>
                    <td style="width: 150px">&nbsp;</td>
                </tr>
                 <tr>
                    <td style="width: 400px">
                        <cc5:ImgBarDecoder ID="ImgBarDecoder1" runat="server" OnScanFinished="onBarcodeScanFinished"></cc5:ImgBarDecoder>
                        <cc4:ImgAnnotations ID="ImgAnnotations1" runat="server"></cc4:ImgAnnotations>
                        <cc1:ImgEdit ID="ImgEdit1" runat="server" Height="500px" Width="400px">
                        </cc1:ImgEdit>
                    </td>
                    <td style="width: 150px">
                        <cc2:ImgThumbnails ID="ImgThumbnails1" runat="server" Height="500px" Width="150px"></cc2:ImgThumbnails>
                    </td>
                </tr>
            </table>
        </div>
    </form>
</body>
</html>

